Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## datechooser.view
Enum WeekDaysStyle

    java.lang.Object
      java.lang.Enum<WeekDaysStyle>
          datechooser.view.WeekDaysStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WeekDaysStyle>

    public enum WeekDaysStyle

extends java.lang.Enum<WeekDaysStyle>

Перечисление, описывающее множество вариантов отображения дней недели.

Since:
  1.0
Author:
  Androsov Vadim

Enum Constant Summary
`FULL` Full weekdays names.
`NORMAL` Shows some first symbols.
`SHORT` Shows one first symbol.

Method Summary
`static WeekDaysStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WeekDaysStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final WeekDaysStyle FULL

  Full weekdays names.
  День недели отображается полностью

  Since:
    1.0

### NORMAL

    public static final WeekDaysStyle NORMAL

  Shows some first symbols.
  Отображаются только первые несколько символов дня недели

  Since:
    1.0

### SHORT

    public static final WeekDaysStyle SHORT

  Shows one first symbol.
  Отображается только первый символ дня недели

  Since:
    1.0

Method Detail

### values

    public static final WeekDaysStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WeekDaysStyle c : WeekDaysStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WeekDaysStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD